/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: display.c 1.3 89/10/26 $@(#)vm.wish:src/wish/display.c	1.1"

#include <stdio.h>
#include "wish.h"
#include "typetab.h"

int
glob_display (path)
char	*path;
{
	char	*vpath;
	char	title[PATHSIZ];
	struct	ott_entry *path_to_ott();
	char	*path_to_vpath();
	char	*path_to_title();
	struct	ott_entry *ott, *path_to_ott();

	if ((vpath = path_to_vpath(path)) == NULL) {
		mess_temp("Object is not displayable");
		return(FAIL);
	}
	ott = path_to_ott(path);
	sprintf(title, "%s/%s - %s", path_to_title(parent(path), NULL), 
				ott->dname, ott->display);
	return(objop("OPEN", "TEXT", "$VMSYS/OBJECTS/Text.disp", 
				vpath, title, NULL));
}
